#pragma  once
#include "stdafx.h"
#include "IGameSquare.h"
#include "IPlayer.h"
#include <vector>

namespace Ribopoly
{
	class Board
	{
	public:
		Board();

		virtual void addPlayer(IPlayer* player);

		// Advance a player nSquares and return the square landed on.
		virtual IGameSquare* advance(IPlayer* player, int nSquares);

		virtual ~Board();

	private:
		std::vector<IGameSquare*> squares_;
	};
}