#pragma once
#include "stdafx.h"
#include <vector>
using namespace std;
#include "IDie.h"

namespace Ribopoly
{
	class FairDie : public IDie
	{
	public:
		FairDie(const vector<int>& faceValues);
		FairDie(const vector<int>& faceValues, int seed);
		virtual int roll();
		virtual void setSideValues(const std::vector<int>& sideValues);

		virtual int getNFaces() const;
	private:
		vector<int> faceValues_;
	};
}