#pragma once
#include "stdafx.h"
#include <vector>

namespace Ribopoly
{
	class IDice
	{
	public:

		// Return the sum of the two dice values
		virtual int roll() = 0;

		// True when both dice have the same value
		virtual bool rolledDoubles() const = 0;

		// Return just the value of the first die
		virtual int getFirstDieValue() const = 0;

		// Return just the value of the second die
		virtual int getSecondDieValue() const = 0;
	};
}