#include "stdafx.h"
#include "CppUnitTest.h"
#include "FairDie.h"

using namespace Microsoft::VisualStudio::CppUnitTestFramework;

namespace Ribopoly
{		
	// Use this class to test a single Die
	// 1)  Test a class that implements the IDie interface
	TEST_CLASS(TestFairDie)
	{
	public:
		
		TEST_METHOD(createFairDie)
		{
			const int N_FACES = 6;
			vector<int> faces(N_FACES);
			for (int i = 0; i < N_FACES; i++)
			{
				faces[i] = i + 1;
			}

			FairDie myDie(faces);

			Assert::AreEqual(N_FACES, myDie.getNFaces());
		}

	};
}